WordPress 5.0

Dnes vyšel WordPress verze 5.0 s kódovým označením Bebo. Tato verze se nese ve znamení nového vizuálního editoru Gutenberg, který přináší editaci obsahu pomocí bloků. Jedná se o velkou změnu, která podstatným způsobem mění práci s obsahem ve WordPress, což samozřejmě vyvolává mnoho kontroverzí. Tímto editorem se WordPress vývojáři snaží následovat trend v používání různých vizuálních page builderů, které jsou součástí mnoha komerčních šablon. Na rozdíl od nich však produkuje jednoduchý a univerzální HTML kód a jeho bloková funkcionalita je řízena HTML komentáři.

Do obsahu v novém editoru není problém vkládat sloupce, některé widgety a můžeme očekávat, že se mnoho vývojářů bude zaměřovat na tvorbu bloků nových (tzv. guten-blocků). Další užitečnou funkcionalitou je možnost si již hotový blok s hotovým obsahem a rozložením uložit jako znovu použitelný a zpřístupnit si ho v dalších článcích. Lze očekávat, že právě tyto funkční bloky nahradí dnes často využívané short kódy. Práci s obsahem dále zpříjemní lepší integrace se schránkou – není tak problém vložit přímo obrázek pomocí CTRL+V (obrázek lze také nově nahrát i z URL), stejně tak třeba tabulku z Google Sheets – základní práce s tabulkami je také novou funkcí, která dříve vyžadovala další plugin. Velkých zlepšení se dočkaly i nativní galerie, které jsou opět dostupné jako blok v novém editoru. Nových bloků pro práci s obrázky naleznete v Gutenbergu více – Cover (to je vlastně nadpis obrázkem na pozadí) nebo Media & Text (blok s obrázkem a textem vedle něj, který je možné podbarvit).

Není nutné ani hned vaše WordPress weby aktualizovat na verzi 5. Starší verze jsou stále podporované a případné opravy pro ně stále vycházejí (aktuálně pro WP řady 3.7 a vyšší) – když tedy vyjde například bezpečnostní aktualizace, která ovlivňuje více verzí, vyjde WordPress 5.0.1, 4.9.9, 4.8.7, 4.7.12 atd. – všechny tyto verze lze pak považovat za aktuální. Jádro WordPress se v základním nastavení samo aktualizuje. Nemusíte se však bát, že by se vám web sám aktualizoval na verzi 5.0 – tyto aktualizace aplikují pouze záplaty – automaticky tak dojde k update z 4.9.8 na 4.9.9, ale už ne z 4.9.8 na novou řadu 5.0. Před nasazením nového WP samozřejmě doporučujeme zazálohovat soubory webu a databázi a nejlépe si otestovat, zda šablona a vámi používané pluginy fungují korektně. Především šablony nemusí podporovat bloky používané v novém editoru.

Důležitou novinkou je nová šablona Twenty Nineteen, kterou považujeme za velmi povedenou a její funkce využijete především ve spojení právě s novým editorem. Informace o ní naleznete například v článku na WP Lama.

P.S. na tomto webu už verzi 5.0 používáme, kdy se ji chystáte vyzkoušet vy?